Bug 186201 - [NEW PORT] www/py-calendarserver: Calendar and Contacts Server from Apple (RFC 4791, RFC 6352)
Summary: [NEW PORT] www/py-calendarserver: Calendar and Contacts Server from Apple (RF...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-28 14:50 UTC by Axel.Rau
Modified: 2014-09-20 15:20 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (18.81 KB, text/plain)
2014-01-28 14:50 UTC, Axel.Rau
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel.Rau 2014-01-28 14:50:00 UTC
The open source Calendar and Contacts Server project is a standards-compliant
server implementing the CalDAV and CardDAV protocols (RFC 4791, RFC 6352).
It provides a shared location on the network allowing multiple users to store
and edit calendaring and contact information.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-01-28 14:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2014-09-03 19:51:39 UTC
I'll take care of this soon.
Comment 3 William Grzybowski freebsd_committer 2014-09-20 15:20:01 UTC
I had to make A LOT of changes to make this port build.

Please make sure the committed version actually works.
Comment 4 commit-hook freebsd_committer 2014-09-20 15:20:16 UTC
A commit references this bug:

Author: wg
Date: Sat Sep 20 15:19:37 UTC 2014
New revision: 368648
URL: http://svnweb.freebsd.org/changeset/ports/368648

Log:
  www/calendarserver: Calendar and Contacts Server from Apple (RFC 4791, RFC 6352)

  The open source Calendar and Contacts Server project is a standards-compliant
  server implementing the CalDAV and CardDAV protocols (RFC 4791, RFC 6352).
  It provides a shared location on the network allowing multiple users to store
  and edit calendaring and contact information.

  WWW: http://www.calendarserver.org

  PR:		186201 (with changes)
  Submitted by:	Axel.Rau Chaos1 de

Changes:
  head/GIDs
  head/UIDs
  head/www/Makefile
  head/www/calendarserver/
  head/www/calendarserver/Makefile
  head/www/calendarserver/distinfo
  head/www/calendarserver/files/
  head/www/calendarserver/files/caldavd.in
  head/www/calendarserver/files/patch-twext_python_log.py
  head/www/calendarserver/files/pkg-message.in
  head/www/calendarserver/pkg-descr
  head/www/calendarserver/pkg-plist